Subject: Re: [EXTERNAL] [BULK] [J3] [SC22WG5.6748] [ukfortran] Final review of WG23 Fortran Vulnerabilities document

From: "Clune, Thomas L. (GSFC-6101)" <[email-masked]>
Date: Tue, 14 Jul 2026 14:58:27 +0000

I should be able to attend.    I may have to bow out for 30 minutes for a meeting, and will be fresh back from a vacation.

  *
Tom

<https://www.nasa.gov/>

Thomas Clune
Lead, Software Infrastructure
Global Modeling and Assimilation Office
NASA Goddard Space Flight Center
MS 610.1
8800 Greenbelt RD, Greenbelt, MD 20771
[email-masked]<mailto:[email-masked]>
From: J3 <[email-masked]> on behalf of John Reid via J3 <[email-masked]>
Date: Tuesday, July 14, 2026 at 10:53 AM
To: Stephen Michell <[email-masked]>
Cc: John Reid <[email-masked]>; Erhard Ploedereder <[email-masked]>; WG5 <[email-masked]>
Subject: [EXTERNAL] [BULK] [J3] [SC22WG5.6748] [ukfortran] Final review of WG23 Fortran Vulnerabilities document

CAUTION: This email originated from outside of NASA.  Please take care when clicking links or opening attachments.  Use the "Report Message" button to report suspicious messages to the NASA SOC.

Stephen,

That would be OK for me.

Cheers,

John.

Stephen Michell wrote:
Thank you John,

I went through your comments. I think that we need a zoom meeting to resolve outstanding issues. Erhard is away this week and part (or all) of next week.

Erhard and I already have a meeting booked for July 27th at 1400 UTC for up to three hours. If you and any interested WG5 members would like to join us I can turn it into a ballot resolution meeting.

That is getting late for Japan and early for North American west coasters so we could maybe shift the meeting by an hour or two depending upon interest.

Cheers.

Stephen Michell
Maurya Software
stephen dot michell at maurya dot on dot ca
Phone: 1-613-299-9047

On Jul 12, 2026, at 09:33, John Reid <[email-masked]><mailto:[email-masked]> wrote:

Stephen and Erhard,

Thank you for all your hard work on the Fortran Vulnerabilities document. I agree with most of what you have done, but not all. Here are my comments.

Best wishes,

John.

Steve Lionel wrote:

This message is for WG5 (includes J3) members only.

Stephen Michell, WG23 Convenor, wrote:

“Erhard and I are doing a final edit on ISO IEC 24772-8 Fortran vulnerabilities before publication. I need a list of current Fortran WG members to do a last review for us.

The document went through DIS ballot and had lots of editorial changes from the ISO editor, as well as comments from Japan.

One of the purposes of the review is to ensure that we did not change anything that would cause us to go to FDIS ballot.”

He asked me to send the relevant documents to WG5 for a final look-over. I have uploaded them to the WG23 folder in the J3 Meeting Files area. The files are:

  WG23-N1567 - The  24772-8 Fortran vulnerabilities document from  ISO after ballot and with Editorial changes by ISO editor.

  WG23-N1566 - The  ISO summary NB and editorial comment sheet with our responses.

  WG23-N1571 - The 24772-8 document with our changes and responses to editor’s comments.

  WG23-N1572 - The 24772-8 document as a difference between what came form ISO and Erhard’s and my end product.

Please make any markups on that last document and send them to Stephen at

[email-masked]<mailto:[email-masked]>

Steve L

_______________________________________________
ukfortran mailing list -- [email-masked]<mailto:[email-masked]>
%(web_page_url)slistinfo/%(_internal_name)s

<CommenrsOnN1571.txt>